// demo_vcDlg.h : header file
//

#if !defined(AFX_DEMO_VCDLG_H__E83453AE_B388_4F8A_90FA_62BA011B4658__INCLUDED_)
#define AFX_DEMO_VCDLG_H__E83453AE_B388_4F8A_90FA_62BA011B4658__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDemo_vcDlg dialog

class CDemo_vcDlg : public CDialog
{
// Construction
public:
	CDemo_vcDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDemo_vcDlg)
	enum { IDD = IDD_DEMO_VC_DIALOG };
	CProgressCtrl	m_Progress;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDemo_vcDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDemo_vcDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonDemo1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEMO_VCDLG_H__E83453AE_B388_4F8A_90FA_62BA011B4658__INCLUDED_)
